Subject: RE: [AVT] RE: I-D ACTION:draft-ash-e2e-voip-hdr-comp-rqmts-01.txt

From: "Ash, Gerald R (Jerry)" <[email-masked]>
Date: Wed, 8 Oct 2003 06:15:07 -0500

Jerry> Please review the updated 01 version of the 'Requirements 
Jerry> for VoIP Header Compression over Multiple-Hop Paths'  
Jerry> http://www.ietf.org/internet-drafts/draft-ash-e2e-voip-hdr-comp-rqmts-01.txt.
Jerry> Please let us know your comments and suggestions.

Colin> I think this gives a reasonable overview of the problem 
Colin> space. 

Thanks.

Colin> I'd be interested, though, to see more discussion of 
Colin> the limiting factor when supporting many hop-by-hop 
Colin> CRTP flows: is the primary bottleneck processing power 
Colin> in the router, or the amount of per-flow state that  
Colin> has to be maintained? Multi-hop header compression will 
Colin> reduce the computation, but it's not clear that it will 
Colin> help with the state overhead.

IMO this is a scalability question for vendors to answer as far as how many multi-hop header compression (MHHC) VoIP flows can be maintained in the router versus when real-time runs out versus other limitations.  I would expect the answer to be vendor dependent depending on their hardware/software implementation.

Right now the CRTP limitation is processor power (~100 --> a few hundred CRTP flows or so).  MHHC will increase the number of compressed flows a router can handle so maybe some other limiting factor will take over instead of processor power.  Obviously there will still be some limiting factor, be it processor power, flow-state limitations, or whatever.

It would be good to hear some comments from vendors on this.

Thanks,
Jerry

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt